Namespace
elastic
Image / Tag
filebeat:sha256-6206de43b162351a0491f781c136f4260fe18685a86a29d14139079003870efd
Content Digest
sha256:6206de43b162351a0491f781c136f4260fe18685a86a29d14139079003870efd
Details
Created

2026-05-22 20:57:53 UTC

Size

118 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2026-04-29T10:57:25Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • compose-id
    RHEL-9.8.0-updates-20260428.2
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.42.2
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2026-05-22T20:45:22Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    e98b93df5a916738f04a338ea2ddcf53ebd0bc0b
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.4.2
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2026-05-22T20:45:22Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    fd5dc4e2dadeb67e60b63fecdcc29975854bd48a
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    fd5dc4e2dadeb67e60b63fecdcc29975854bd48a
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.4.2

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:87d0949d571793d1ec50ac1d0f9acbbad9132f309875f48ebd8693ba5146697d - 31.36% (37.1 MB)

[#001] sha256:b4f2d31a27aa48c6a91e8a15198501f0966c08630d07b8b73a4c7c304390d190 - 0.01% (9.06 KB)

[#002] sha256:beaccc7448b0a63fb2fdfbb42e56655a20f2d6141beb0a5c0f1c696468aa9dea - 0.0% (608 Bytes)

[#003] sha256:225ffb4b2741a94cdb5bf74e082041f637be0ba31a12b1156d9dcec8e4273e5e - 0.0% (618 Bytes)

[#004] sha256:2935434c50e764b4b8bd1a28ccc2b5048aa5ebdddd6e997d010a5776190b7233 - 51.34% (60.7 MB)

[#005] sha256:9c74f195b8d44d197d890e048c722537146115650035e0d851d049ed7373452b - 0.0% (122 Bytes)

[#006] sha256:d869d5cfe31fa7fbb02f249cad564e01a39aa7f8459fd01b09b012faa81e5eab - 0.0% (5.42 KB)

[#007] sha256:603619100bc408cf29bec68f35a2704be4e055283c6bb500f3ec85666ec0b1b1 - 0.18% (213 KB)

[#008] sha256:1511e38d8b3d326eb23eb587c9bc192aada4bb26ef3394aa242b677c5f8cb85b - 0.0% (507 Bytes)

[#009] sha256:cfe53d529df7c58e443cb9370954b520274c114dd0767220c1b2b44eab65cbca - 0.0% (1.09 KB)

[#010] sha256:20b250cbd239f1cda3f7d5b877be7d79b370c65f5f5ec73b81456ded73b67abd - 17.1% (20.2 MB)

[#011] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)


History
2026-04-29 10:57:38 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2026-04-29 10:57:38 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2026-04-29 10:57:38 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.8" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) LABEL compose-id="RHEL-9.8.0-updates-20260428.2"

2026-04-29 10:57:39 UTC

/bin/sh -c #(nop) ENV container oci

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) COPY dir:40af56e5c5a1ff2969ab678bbe9bdd05d9ed5c3f3e2736ff34b3e6a01d4be8b8 in /

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) COPY file:73df17c87f3dcd02a8d2fa5a6d10344b23ef944b86c32ff3e089d2dc29547767 in /usr/share/buildinfo/labels.json

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) COPY file:73df17c87f3dcd02a8d2fa5a6d10344b23ef944b86c32ff3e089d2dc29547767 in /root/buildinfo/labels.json

2026-04-29 10:57:40 UTC

/bin/sh -c #(nop) LABEL "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="fd5dc4e2dadeb67e60b63fecdcc29975854bd48a" "org.opencontainers.image.revision"="fd5dc4e2dadeb67e60b63fecdcc29975854bd48a" "build-date"="2026-04-29T10:57:25Z" "org.opencontainers.image.created"="2026-04-29T10:57:25Z" "release"="1777460003"org.opencontainers.image.revision=fd5dc4e2dadeb67e60b63fecdcc29975854bd48a,org.opencontainers.image.created=2026-04-29T10:57:25Z

2026-05-22 20:57:19 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2026-05-22T20:45:22Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.4.2 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=e98b93df5a916738f04a338ea2ddcf53ebd0bc0b io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-05-22T20:45:22Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.4.2 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2026-05-22 20:57:19 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2026-05-22 20:57:19 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-05-22 20:57:19 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2026-05-22 20:57:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2026-05-22 20:57:20 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2026-05-22 20:57:22 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2026-05-22 20:57:47 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2026-05-22 20:57:47 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2026-05-22 20:57:47 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2026-05-22 20:57:47 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2026-05-22 20:57:48 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2026-05-22 20:57:48 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2026-05-22 20:57:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-05-22 20:57:53 UTC (buildkit.dockerfile.v0)

USER 1000

2026-05-22 20:57:53 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2026-05-22 20:57:53 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2026-05-22 20:57:53 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2026-05-22 20:57:53 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete